Subject: Re: [PATCH 8/8] powerpc/rtas: consume retry statuses in sys_rtas()

From: Nathan Lynch <[email-masked]>
Date: Thu, 23 Mar 2023 14:39:05 -0500

Andrew Donnellan <[email-masked]> writes:

> On Mon, 2023-03-06 at 15:33 -0600, Nathan Lynch via B4 Relay wrote:
>> * We can expect performance improvements for existing sys_rtas()
>>   users, not only because of overall reduction in the number of
>> system
>>   calls issued, but also due to the better handling of -2/990x in the
>>   kernel. For example, librtas still sleeps for 1ms on -2, which is
>>   completely unnecessary.
>
> Would be good to see this fixed on the librtas side.

Filed an issue: https://github.com/ibm-power-utilities/librtas/issues/30